Bug 139166 - System-config-securitylevel fails to load
Summary: System-config-securitylevel fails to load
Status: CLOSED DUPLICATE of bug 139155
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-13 14:52 UTC by Matthew Mott
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:06:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Mott 2004-11-13 14:52:38 UTC
Description of problem:
system-config-securitylevel fails with an error.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.14-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-securitylevel
2.
3.
  
Actual results:
Traceback (most recent call last):
  File
"/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
427, in stand_alone
    self.selinuxPage = selinuxPage.selinuxPage()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
329, in __init__
    self.refreshTunables(self.initialtype)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
427, in refreshTunables
    self.loadBooleans()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
418, in loadBooleans
    on=rec[3]=="1"
IndexError: list index out of range


Expected results:
Should work.

Additional info:

Comment 1 John Ridge 2004-11-13 15:26:25 UTC
I get exactly the same results.  I believe this first started to
happen after I loaded a libselinux patch on 11/12/04.  Here is my output:

[root@ridge-md-xp jcridge]# system-config-securitylevel
Traceback (most recent call last):
  File
"/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
427, in stand_alone
    self.selinuxPage = selinuxPage.selinuxPage()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
329, in __init__
    self.refreshTunables(self.initialtype)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
427, in refreshTunables
    self.loadBooleans()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
418, in loadBooleans
    on=rec[3]=="1"
IndexError: list index out of range 

Comment 2 Ralf Corsepius 2004-11-13 15:29:01 UTC
The cause apparently is an incompatibility in the output format
produced by /usr/bin/getsebool -a from libselinux-1.19 and
/usr/share/system-config-securitylevel/selinuxPage.py, line 418's
expectations:

With libselinux-1.17.14-1 (FC3/Core):
# /usr/bin/getsebool -a
allow_ypbind --> active: 1 pending: 1
dhcpd_disable_trans --> active: 0 pending: 0

With libselinux-1.19.1-3 (FC3/Updates)
# /usr/bin/getsebool -a
allow_ypbind --> active
dhcpd_disable_trans --> inactive

=> A work-around to this issue would be this patch
--- /usr/share/system-config-securitylevel/selinuxPage.py~     
2004-11-13 16:28:59.552972502 +0100
+++ /usr/share/system-config-securitylevel/selinuxPage.py      
2004-11-13 16:28:59.552972502 +0100
@@ -415,7 +415,7 @@
         for i in booleansList:
             rec=i.split()
             name=rec[0]
-            on=rec[3]=="1"
+            on=rec[2]=="active"
            
self.modifiers.add(name,Boolean(name,on,self.boolconf[self.getType()].has_key(name)))

     def refreshTunables(self,type):


Furthermore, I'd recomment adding appropriate
Requires: libselinux > 0:1.19
to the rpm.spec


Comment 3 Paul Nasrat 2004-11-13 18:37:52 UTC

*** This bug has been marked as a duplicate of 139155 ***

Comment 4 Red Hat Bugzilla 2006-02-21 19:06:59 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.